/*
  $Id: Request.java 2604 2013-01-31 21:03:46Z dfisher $

  Copyright (C) 2003-2013 Virginia Tech.
  All rights reserved.

  SEE LICENSE FOR MORE INFORMATION

  Author:  Middleware Services
  Email:   middleware@vt.edu
  Version: $Revision: 2604 $
  Updated: $Date: 2013-01-31 16:03:46 -0500 (Thu, 31 Jan 2013) $
*/
package org.ldaptive;

import org.ldaptive.control.RequestControl;
import org.ldaptive.handler.IntermediateResponseHandler;

/**
 * Marker interface for all ldap requests.
 *
 * @author  Middleware Services
 * @version  $Revision: 2604 $ $Date: 2013-01-31 16:03:46 -0500 (Thu, 31 Jan 2013) $
 */
public interface Request extends Message<RequestControl>
{


  /**
   * Returns whether to follow referrals.
   *
   * @return  whether to follow referrals
   */
  boolean getFollowReferrals();


  /**
   * Returns the intermediate response handlers.
   *
   * @return  intermediate response handlers
   */
  IntermediateResponseHandler[] getIntermediateResponseHandlers();
}
