/*
  $Id: AsyncRequest.java 2593 2013-01-29 20:21:24Z dfisher $

  Copyright (C) 2003-2013 Virginia Tech.
  All rights reserved.

  SEE LICENSE FOR MORE INFORMATION

  Author:  Middleware Services
  Email:   middleware@vt.edu
  Version: $Revision: 2593 $
  Updated: $Date: 2013-01-29 15:21:24 -0500 (Tue, 29 Jan 2013) $
*/
package org.ldaptive.async;

import org.ldaptive.LdapException;
import org.ldaptive.control.RequestControl;

/**
 * Interface for asynchronous operation requests.
 *
 * @author  Middleware Services
 * @version  $Revision: 2593 $ $Date: 2013-01-29 15:21:24 -0500 (Tue, 29 Jan 2013) $
 */
public interface AsyncRequest
{


  /**
   * Message ID associated with the operation.
   *
   * @return  message id
   */
  int getMessageId();


  /**
   * Abandon the operation.
   *
   * @throws  LdapException  if the operation fails
   */
  void abandon()
    throws LdapException;


  /**
   * Abandon the operation.
   *
   * @param  controls  request controls
   *
   * @throws  LdapException  if the operation fails
   */
  void abandon(RequestControl[] controls)
    throws LdapException;
}
