/*
  $Id: ModifyOperationWorker.java 2581 2013-01-02 21:16:24Z dfisher $

  Copyright (C) 2003-2013 Virginia Tech.
  All rights reserved.

  SEE LICENSE FOR MORE INFORMATION

  Author:  Middleware Services
  Email:   middleware@vt.edu
  Version: $Revision: 2581 $
  Updated: $Date: 2013-01-02 16:16:24 -0500 (Wed, 02 Jan 2013) $
*/
package org.ldaptive.concurrent;

import java.util.concurrent.ExecutorService;
import org.ldaptive.ModifyOperation;
import org.ldaptive.ModifyRequest;

/**
 * Executes an ldap modify operation on a separate thread.
 *
 * @author  Middleware Services
 * @version  $Revision: 2581 $ $Date: 2013-01-02 16:16:24 -0500 (Wed, 02 Jan 2013) $
 */
public class ModifyOperationWorker
  extends AbstractOperationWorker<ModifyRequest, Void>
{


  /**
   * Creates a new modify operation worker.
   *
   * @param  op  modify operation to execute
   */
  public ModifyOperationWorker(final ModifyOperation op)
  {
    super(op);
  }


  /**
   * Creates a new modify operation worker.
   *
   * @param  op  modify operation to execute
   * @param  es  executor service
   */
  public ModifyOperationWorker(
    final ModifyOperation op,
    final ExecutorService es)
  {
    super(op, es);
  }
}
