/*
  $Id: UnsolicitedNotificationListener.java 2610 2013-02-07 23:22:09Z dfisher $

  Copyright (C) 2003-2013 Virginia Tech.
  All rights reserved.

  SEE LICENSE FOR MORE INFORMATION

  Author:  Middleware Services
  Email:   middleware@vt.edu
  Version: $Revision: 2610 $
  Updated: $Date: 2013-02-07 18:22:09 -0500 (Thu, 07 Feb 2013) $
*/
package org.ldaptive.extended;

import org.ldaptive.Response;

/**
 * Processes an unsolicited notification.
 *
 * @author  Middleware Services
 * @version  $Revision: 2610 $ $Date: 2013-02-07 18:22:09 -0500 (Thu, 07 Feb 2013) $
 */
public interface UnsolicitedNotificationListener
{

  /** OID for the notice of disconnection notification. */
  String NOTICE_OF_DISCONNECTION_OID = "1.3.6.1.4.1.1466.20036";


  /**
   * Processes an unsolicited notification from the server.
   *
   * @param  oid  of the unsolicited notification
   * @param  response  server response
   */
  void notificationReceived(String oid, Response<Void> response);
}
