/*
  $Id: SearchResultWriter.java 2592 2013-01-28 23:01:42Z dfisher $

  Copyright (C) 2003-2013 Virginia Tech.
  All rights reserved.

  SEE LICENSE FOR MORE INFORMATION

  Author:  Middleware Services
  Email:   middleware@vt.edu
  Version: $Revision: 2592 $
  Updated: $Date: 2013-01-28 18:01:42 -0500 (Mon, 28 Jan 2013) $
*/
package org.ldaptive.io;

import java.io.IOException;
import org.ldaptive.SearchResult;

/**
 * Interface for writing ldap search results.
 *
 * @author  Middleware Services
 * @version  $Revision: 2592 $ $Date: 2013-01-28 18:01:42 -0500 (Mon, 28 Jan 2013) $
 */
public interface SearchResultWriter
{


  /**
   * Writes the supplied ldap result.
   *
   * @param  result  ldap result to write
   *
   * @throws  IOException  if an error occurs using the writer
   */
  void write(SearchResult result)
    throws IOException;
}
