/*
  $Id: PoolException.java 2581 2013-01-02 21:16:24Z dfisher $

  Copyright (C) 2003-2013 Virginia Tech.
  All rights reserved.

  SEE LICENSE FOR MORE INFORMATION

  Author:  Middleware Services
  Email:   middleware@vt.edu
  Version: $Revision: 2581 $
  Updated: $Date: 2013-01-02 16:16:24 -0500 (Wed, 02 Jan 2013) $
*/
package org.ldaptive.pool;

import org.ldaptive.LdapException;

/**
 * Base exception thrown when a pool operation fails.
 *
 * @author  Middleware Services
 * @version  $Revision: 2581 $ $Date: 2013-01-02 16:16:24 -0500 (Wed, 02 Jan 2013) $
 */
public class PoolException extends LdapException
{

  /** serialVersionUID. */
  private static final long serialVersionUID = 6320399208563015506L;


  /**
   * Creates a new pool exception.
   *
   * @param  msg  describing this exception
   */
  public PoolException(final String msg)
  {
    super(msg);
  }


  /**
   * Creates a new pool exception.
   *
   * @param  e  pooling specific exception
   */
  public PoolException(final Exception e)
  {
    super(e);
  }


  /**
   * Creates a new pool exception.
   *
   * @param  msg  describing this exception
   * @param  e  pooling specific exception
   */
  public PoolException(final String msg, final Exception e)
  {
    super(msg, e);
  }
}
